Subject: Fw: Maximize frame does not work correctly in .emacs on MS Windows withCVS Emacs

From: "Lennart Borgman" <[email-masked]>
Date: Sat, 11 Dec 2004 14:15:40 +0100

I have sent this to Emacs Devel first, but so far no response. I have also
noticed that there is a similar bug if you try to use --fullscreen when
starting Emacs. However in this case the upper right corner icon is not the
"maximized" icon, but the "normal size" icon. The window size is not normal.
It looks like the same size I see below. (Height is not full screen.)

- Lennart

----- Original Message ----- 
From: "Lennart Borgman" <[email-masked]>
To: "Emacs Devel" <[email-masked]>
Sent: Thursday, December 09, 2004 6:23 PM
Subject: Maximize frame does not work correctly in .emacs on MS Windows
withCVS Emacs

> I have in .emacs:
>
>   (defun w32-maximize-frame ()
>     "Maximize the current frame"
>     (interactive)
>     (w32-send-sys-command 61488))
>
>   (defun w32-hook-frame-maximize (frame)
>     ;;(server-trace "ENTERING w32-hook-frame-maximize")
>     ;;(sleep-for 2)
>     (when window-system
>       (select-frame frame)
>       (if w32-feeling-max-frames (w32-maximize-frame)))
>     ;;(server-trace "EXITING w32-hook-frame-maximize")
>     )
>
>   (add-hook 'after-make-frame-functions 'w32-hook-frame-maximize)
>
>   (w32-maximize-frame)
>
> In CVS Emacs this first maximizes the frame (window in w32 parlor) and
then
> shrinks it.
> Some of the time both height and width are shrinked, but often only the
> height is changed. The small icon in the upper right corner still looks
the
> way it does when the window is maximized. The size of the window in this
> strange state is not the same as when the window is "Restored" from the
> upper left system-menu.
>
> This works as it should in current Emacs.
>
> If I use (w32-maximize-frame) later in CVS Emacs it also works as it
should
> (i e it maximize the window).

_______________________________________________
Emacs-pretest-bug mailing list
[email-masked]
http://lists.gnu.org/mailman/listinfo/emacs-pretest-bug